libepubgen::EPUBTableStyleManager Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBTableStyleManager Class Reference

Small class to manage the tables style. More...

`#include <EPUBTableStyleManager.h>`

## Public Member Functions
| EPUBTableStyleManager ()
| constructor More...
| ~EPUBTableStyleManager ()
| destructor More...
void | openTable (librevenge::RVNGPropertyListVector const &colList)
| open a table More...
void | closeTable ()
| close a table More...
std::string | getCellClass (librevenge::RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist More...
std::string | getRowClass (librevenge::RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist More...
void | send (EPUBCSSSink &out)
| send the data to the sink More...

## Private Types
typedef boost::unordered_map< EPUBCSSProperties, std::string > | ContentNameMap_t

## Private Member Functions
void | extractCellProperties (librevenge::RVNGPropertyList const &pList, EPUBCSSProperties &cssProps) const
| convert a property list into a CSS property map More...
void | extractRowProperties (librevenge::RVNGPropertyList const &pList, EPUBCSSProperties &cssProps) const
| convert a property list into a CSS property map More...
bool | getColumnsWidth (int i, int numSpanned, double &w) const
| try to return the col width More...
| EPUBTableStyleManager (EPUBTableStyleManager const &orig)
EPUBTableStyleManager | operator= (EPUBTableStyleManager const &orig)

## Private Attributes
ContentNameMap_t | m_cellContentNameMap
| a map cell content -> name More...
ContentNameMap_t | m_rowContentNameMap
| a map row content -> name More...
std::vector< std::vector< double > > | m_columWitdhsStack
| a stack of column width (in inches ) More...

## Detailed Description

Small class to manage the tables style.

## Member Typedef Documentation

typedef boost::unordered_map<EPUBCSSProperties, std::string> libepubgen::EPUBTableStyleManager::ContentNameMap_t
| private

## Constructor & Destructor Documentation

libepubgen::EPUBTableStyleManager::EPUBTableStyleManager | ( |  | ) |
| inline

constructor

libepubgen::EPUBTableStyleManager::~EPUBTableStyleManager | ( |  | ) |
| inline

destructor

libepubgen::EPUBTableStyleManager::EPUBTableStyleManager | ( | EPUBTableStyleManager const & | orig | ) |
| private

## Member Function Documentation

void libepubgen::EPUBTableStyleManager::closeTable | ( |  | ) |

close a table

Referenced by libepubgen::EPUBHTMLGenerator::closeTable().

void libepubgen::EPUBTableStyleManager::extractCellProperties | ( | librevenge::RVNGPropertyList const & | pList,
|  | EPUBCSSProperties & | cssProps
| ) |  | const
| private

convert a property list into a CSS property map

Referenced by getCellClass().

void libepubgen::EPUBTableStyleManager::extractRowProperties | ( | librevenge::RVNGPropertyList const & | pList,
|  | EPUBCSSProperties & | cssProps
| ) |  | const
| private

convert a property list into a CSS property map

Referenced by getRowClass().

std::string libepubgen::EPUBTableStyleManager::getCellClass | ( | librevenge::RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

Referenced by libepubgen::EPUBHTMLGenerator::openTableCell().

bool libepubgen::EPUBTableStyleManager::getColumnsWidth | ( | int | i,
|  | int | numSpanned,
|  | double & | w
| ) |  | const
| private

try to return the col width

Referenced by extractCellProperties().

std::string libepubgen::EPUBTableStyleManager::getRowClass | ( | librevenge::RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

Referenced by libepubgen::EPUBHTMLGenerator::openTableRow().

void libepubgen::EPUBTableStyleManager::openTable | ( | librevenge::RVNGPropertyListVector const & | colList | ) |

open a table

Referenced by libepubgen::EPUBHTMLGenerator::openTable().

EPUBTableStyleManager libepubgen::EPUBTableStyleManager::operator= | ( | EPUBTableStyleManager const & | orig | ) |
| private

void libepubgen::EPUBTableStyleManager::send | ( | EPUBCSSSink & | out | ) |

send the data to the sink

Referenced by libepubgen::EPUBGenerator::writeStylesheet().

## Member Data Documentation

ContentNameMap_t libepubgen::EPUBTableStyleManager::m_cellContentNameMap
| private

a map cell content -> name

Referenced by getCellClass(), and send().

std::vector<std::vector<double> > libepubgen::EPUBTableStyleManager::m_columWitdhsStack
| private

a stack of column width (in inches )

Referenced by closeTable(), getColumnsWidth(), and openTable().

ContentNameMap_t libepubgen::EPUBTableStyleManager::m_rowContentNameMap
| private

a map row content -> name

Referenced by getRowClass(), and send().

The documentation for this class was generated from the following files:

- EPUBTableStyleManager.h
- EPUBTableStyleManager.cpp